%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-retry
Version:        0.12.0
Release:        3%{?dist}
Summary:        Retry strategies for failed operations

License:        MIT
URL:            https://github.com/tim-kos/node-retry
Source0:        https://registry.npmjs.org/retry/-/retry-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(fake)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(tape)
%endif

%description
Abstraction for exponential and custom retry strategies for failed operations.


%prep
%autosetup -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/retry
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/retry
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require ('./')"
%if 0%{?enable_tests}
%__nodejs test/runner.js
%endif


%files
%doc README.md equation.gif example
%license License
%{nodejs_sitelib}/retry


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 21 2018 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.12.0-1
- Update to new upstream release


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Tom Hughes <tom@compton.nu> - 0.8.0-1
- Update to 0.8.0 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-5
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-2
- add missing build section
- fix License tag

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-1
- initial package generated by npm2rpm
